Some lisp routines for autocad beginners

Some lisp routines for autocad or zwcad beginners

;;VIEW COMMANDS (vs, vr, vst, vrt) 
(defun c:vs() ;;Saves view (of name to be supplied by user). 
(command "-v" "s")) 
(defun c:vr() ;;Use this to restore Named View created by 'vs' (Type in the name supplied earlier) 
(command "-v" "r")) 
(defun c:vst() ;;Creates view called 'temp'. 
(command "-v" "s" "temp")) 
(defun c:vrt() ;;Restores view "temp" 
(command "-v" "r" "temp")) 

;;ZOOM COMMANDS (z7, z12, ze, za, zp) 
(defun c:z7() ;;Zooms (out) 0.7x 
(command "zoom" ".7x")) 
(defun c:z12() ;;zooms (in) 1.2x 
(command "zoom" "1.2x")) 
(defun c:ze() ;;Zooms extents, then zooms out 0.9x 
(command "zoom" "e" "zoom" ".9x")) 
(defun c:za() ;;Zoom all 
(command "zoom" "all" "zoom" ".9x")) 
(defun c:zp() ;;Zoom previous 
(command "zoom" "p")) 

;;VPORT COMMANDS (vps, vpr, vps1, vpst, , vpr1, vprt) 
(defun c:vps() ;;Save vport with whatever name you want. Use 'vps' to restore 
(command "-vports" "s")) 
(defun c:vpr() ;;Use this to restore the vport created with prev command. 
(command "-vports" "r")) 
(defun c:vps1() ;;Saves viewport '1' 
(command "-vports" "s" "1")) 
(defun c:vpst() ;;Saves viewpot 'temp' 
(command "-vports" "s" "temp")) 
(defun c:vpr1() ;;Restores vport '1' 
(command "-vports" "r" "1")) 
(defun c:vprt() ;;restores viewport 'temp' 
(command "-vports" "r" "temp")) 


Read more: 
Some lisp routines for autocad beginners




You may also like:
1. Lisp routine to convert objects from pdf drawing into Text or Mtext
2. How to load AutoCAD LISP application on startup? how to load vba startup?
3. use autocad lisp to convert line to polyline, or convert arc to polyline
4. Encrypt Lisp








No comments:

Post a Comment